Bug 172519 - gen-libgphoto-hal-fdi is run on installed library, not one just built
Summary: gen-libgphoto-hal-fdi is run on installed library, not one just built
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-11-05 22:20 UTC by Jon Burgess
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.1.6-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-07 09:21:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Burgess 2005-11-05 22:20:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20051103 Fedora/1.5-0.5.0.rc1 Firefox/1.5

Description of problem:
The spec file of gphoto2 runs gen-libgphoto-hal-fdi using the currently installed library, not the one just built. 



Version-Release number of selected component (if applicable):
gphoto2-2.1.6-1.1

How reproducible:
Always

Steps to Reproduce:
1. Installed src rpm
2. Added USB id to source, added as new patch
3. Built new rpm & installed it.
  


Actual Results:  I rebuilt gphoto2 to add support for the USB device ID of my new camera. I found that it was still missing from the /usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi file.

Looking at the spec file I see:

LIBDIR=%{_libdir} %{SOURCE2} > %{buildroot}/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi

which results in the following during the build:
+ LIBDIR=/usr/lib64
+ /usr/src/redhat/SOURCES/gen-libgphoto-hal-fdi




Expected Results:  The new USB device should have appeared in 
/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi file.

I think the spec file should have:

LIBDIR=%{buildroot}%{_libdir} %{SOURCE2} > %{buildroot}/usr/share/hal/fdi/information/20thirdparty/10-camera-libgphoto2.fdi

Which sets the LIBDIR into the buildroot:
+ LIBDIR=/var/tmp/gphoto2-2.1.6v550-root/usr/lib64
+ /usr/src/redhat/SOURCES/gen-libgphoto-hal-fdi


Additional info:

Comment 1 Radek Vokal 2005-11-07 09:21:08 UTC
Thanks, fixed in rawhide


Note You need to log in before you can comment on or make changes to this bug.